edu.msu.cme.rdp.classifier.train.validation.distance

## Class PairwiseSeqDistance

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.distance.PairwiseSeqDistance

    public class PairwiseSeqDistance
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PairwiseSeqDistance(java.lang.String trainseqFile, java.lang.String taxFile, edu.msu.cme.rdp.alignment.AlignmentMode mode, boolean show_alignment)`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)` This program does the pairwise alignment between each pair of sequences, reports a summary of the average distances and the stdev at each rank.
`void` `printSummary(java.io.PrintStream outStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PairwiseSeqDistance

    public PairwiseSeqDistance(java.lang.String trainseqFile,
                       java.lang.String taxFile,
                       edu.msu.cme.rdp.alignment.AlignmentMode mode,
                       boolean show_alignment)
                        throws java.io.IOException,
                               edu.msu.cme.rdp.alignment.pairwise.rna.OverlapCheckFailedException

Throws:
  `java.io.IOException`
  `edu.msu.cme.rdp.alignment.pairwise.rna.OverlapCheckFailedException`

### Method Detail

#### printSummary

    public void printSummary(java.io.PrintStream outStream)

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

This program does the pairwise alignment between each pair of sequences, reports a summary of the average distances and the stdev at each rank.

Parameters:
  `args` -
Throws:
  `java.lang.Exception`